import { get智慧电眼_重点污染企业生产 } from "../../data/analysisExcelData";
import { getZdwrqysc } from "../../data/interface/zdwrqysc";
import { getChartData, getKeyValue, getListData, getSingleYAndMoreData, getMoreYChartData, objKeyReplace, analysisAddOrRMData, getKeyStringValue }from "../../util/tools";

    
export async function getData(req, res) {
    let ret:any = {};

    let excelData:any = get智慧电眼_重点污染企业生产();
    let interfaceData = await getZdwrqysc();
    //重点污染企业撒点数据
    let pollutingCompaniesScatter = [
        {
            townName:"朱家角镇",
            latitudeAndLogitude: [
                {
                    latitude: 31.156845,
                    longitude: 121.133586,
                    elevation: 1.49
                },
                {
                    latitude: 31.150417,
                    longitude: 121.106133,
                    elevation: 0.79
                }
            ],
            details: "朱家角镇，重点污染企业1家，污染企业生产指数均值1.49，其中上海朱家角污水处理工程建设有限公司污染企业指数高达1.49"
        }
    ]

    let 污染企业数据ataAndUnit = objKeyReplace(interfaceData.pollutingInfo);
    ret["api1"] =  getKeyValue("污染企业数据", 污染企业数据ataAndUnit.dataMap, 污染企业数据ataAndUnit.unitMap, false, false );

    ret["api3"] = getMoreYChartData("各污染类型企业生产指数对比", interfaceData.pollutionTypeInfo, false, {"污染企业数":"户"})

    ret["api4"] = getMoreYChartData("各行业类型污染企业生产指数对比", interfaceData.industryTypeInfo, false, {"污染企业数":"户"})

    let 污染类型DataAndUnit = objKeyReplace(interfaceData.pollutingTypeInfo);
    ret["api5"] =  getKeyValue("污染类型", 污染类型DataAndUnit.dataMap, 污染类型DataAndUnit.unitMap, false, false );

    let 污染企业TOP10DataAndUnit = objKeyReplace(interfaceData.pollutingTop10);
    ret["api6"] =  getKeyValue("污染企业TOP10排名", 污染企业TOP10DataAndUnit.dataMap, 污染企业TOP10DataAndUnit.unitMap, false, false );


    let 污染企业生产数据DataAndUnit = objKeyReplace(interfaceData.productionInfo);
    ret["api7"] =  getKeyValue("污染企业生产数据", 污染企业生产数据DataAndUnit.dataMap, 污染企业生产数据DataAndUnit.unitMap, false, false );

    // let 重点污染企业撒点数据DataAndUnit = interfaceData.pollutingCompaniesScatter;
    ret["api8"] = {title: "重点污染企业撒点数据", dataList: pollutingCompaniesScatter};

    ret["apiarea"] = getKeyStringValue("范围数据", excelData.范围数据);
    
    res.send(ret);
}
    